ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Shape::Impl Class Reference

Private implementation details of Shape model object. More...

Collaboration diagram for ome::xml::model::Shape::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | strokeDashArray
| StrokeDashArray property.
ome::compat::shared_ptr< double > | strokeWidth
| StrokeWidth property.
ome::compat::shared_ptr< bool > | locked
| Locked property.
ome::compat::shared_ptr< ome::xml::model::enums::FillRule > | fillRule
| FillRule property.
ome::compat::shared_ptr< bool > | visible
| Visible property.
ome::compat::shared_ptr< ome::xml::model::enums::LineCap > | lineCap
| LineCap property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | theC
| TheC property.
ome::compat::shared_ptr< ome::xml::model::enums::FontFamily > | fontFamily
| FontFamily property.
ome::compat::shared_ptr< ome::xml::model::enums::FontStyle > | fontStyle
| FontStyle property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | fontSize
| FontSize property.
ome::compat::shared_ptr< ome::xml::model::primitives::Color > | fillColor
| FillColor property.
ome::compat::shared_ptr< std::string > | text
| Text property.
ome::compat::shared_ptr< ome::xml::model::primitives::Color > | strokeColor
| StrokeColor property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | theT
| TheT property.
std::string | id
| ID property.
ome::compat::shared_ptr< ome::xml::model::primitives::NonNegativeInteger > | theZ
| TheZ property.
ome::compat::shared_ptr< ome::xml::model::AffineTransform > | transform
| *** WARNING *** Unhandled or skipped property Line *** WARNING *** Unhandled or skipped property Rectangle *** WARNING *** Unhandled or skipped property Mask *** WARNING *** Unhandled or skipped property Ellipse *** WARNING *** Unhandled or skipped property Point *** WARNING *** Unhandled or skipped property Polyline *** WARNING *** Unhandled or skipped property Polygon *** WARNING *** Unhandled or skipped property Label Transform property
ome::compat::weak_ptr< ome::xml::model::Union > | union_
| Union_BackReference back reference.

## Detailed Description

Private implementation details of Shape model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Shape.cpp